GAVF-RECOMPRESS(1)

NAME
gavf-recompress - Recompress streams of a gavf stream

SYNOPSIS
gavf-recompress [options]

DESCRIPTION
gavf recompressor

OPTIONS

-i <input_file>

    Input file or location

-iopt <input_options>

-o <output>

    Output file or location

-m name=value

    Set global metadata of the output (can be used multiple times). Use "name=" to clear a field

-oopt <output_options>

    options

-as <stream_selector>

    Comma separated list of characters 'd' (decode), 'm' (mute) or 'c' (read compressed)

-vs <stream_selector>

    Comma separated list of characters 'd' (decode), 'm' (mute) or 'c' (read compressed)

-ts <stream_selector>

    Comma separated list of characters 'm' (mute) or 'c' (read)

-os <stream_selector>

    Comma separated list of characters 'd' (decode), 'm' (mute) or 'c' (read compressed)

-ac param1=val1[&param2=val2...]

    Audio compression options
    p=option[{suboptions}]

    Supported options:

    Default: (null)

    Compression

-vc param1=val1[&param2=val2...]

    Video compression options
    p=option[{suboptions}]

    Supported options:

    Default: (null)

    Compression

-oc param1=val1[&param2=val2...]

    Overlay compression options
    p=option[{suboptions}]

    Supported options:

    Default: (null)

    Compression

-fa

    Force audio recompression even if the input stream has the desired compression already.

-fv

    Force video recompression even if the input stream has the desired compression already.

-fo

    Force overlay recompression even if the input stream has the desired compression already.

GENERIC OPTIONS
The following generic options are available for all gmerlin applications

-help

    Print this help message and exit

-help-man

    Print this help message as a manual page and exit

-help-texi

    Print this help message in texinfo format and exit

-version

    Print version info and exit

-v level

    Set verbosity level (0..4)

-syslog name

    Log to syslog the specified name

-stderr

    Always log to stderr

FILES
~/.gmerlin/plugins.xml

    Cache of the plugin registry (shared by all applications)

~/.gmerlin/generic/cfg.xml

    Default plugin parameters are read from there. Use gmerlin_plugincfg to change them.